# A configuration file for the test harness (in Low)

target: "low" # Supported "low"

tmc:
  is_emulated: false # Not supported otherwise, default is false

  # Expected device names (Required)
  centralnode_name: "low-tmc/central-node/0"
  tmc_subarraynode1_name: "low-tmc/subarray/01"
  tmc_csp_master_leaf_node_name: "low-tmc/leaf-node-csp/0"
  tmc_csp_subarray_leaf_node_name: "low-tmc/subarray-leaf-node-csp/01"
  tmc_sdp_master_leaf_node_name: "low-tmc/leaf-node-sdp/0"
  tmc_sdp_subarray_leaf_node_name: "low-tmc/subarray-leaf-node-sdp/01"
  tmc_mccs_subarray_leaf_node_name: "low-tmc/leaf-node-mccs/0"
  tmc_mccs_master_leaf_node_name: "low-tmc/subarray-leaf-node-mccs/01"

csp:
  is_emulated: true # Supported false too, default is true

  # Expected device names
  csp_master_name: "low-csp/control/0"
  csp_subarray1_name: "low-csp/subarray/01"

sdp:
  is_emulated: true # Supported false too, default is true

  # Expected device names (Required)
  sdp_master_name: "low-sdp/control/0"
  sdp_subarray1_name: "low-sdp/subarray/01"

mccs:
  is_emulated: true # Supported false too, default is true

  # Expected device names (Required)
  mccs_controller_name: "low-mccs/control/control"
  mccs_subarray1_name: "low-mccs/subarray/01"
  